/**************************************************************************
 * 
 * Simple brainstorming demo.
 *
 **************************************************************************/

/*
 *  This file is part of GroupKit.
 *
 *  (c) Copyright 1992 Department of Computer Science, University of
 *      Calgary, Calgary, Alberta, Canada.  All rights reserved.
 *    
 *  Permission to use, copy, modify, and distribute this software and its
 *  documentation for any purpose and without fee is hereby granted, provided
 *  that the above copyright notice appears in all copies.  The University
 *  of Calgary makes no representations about the suitability of this
 *  software for any purpose.  It is provided "as is" without express or
 *  implied warranty.
 */

#include <gk/groupsession.h>
#include <InterViews/window.h>
#include <stdio.h>
#include "bstormglyph.h"

static PropertyData props[] = {
  { "*width", "750" },
  { "*height", "300" },
  { nil }
};

static OptionDesc options[] = {
  { "width=", "*width", OptionValueAfter },
  { "height=", "*height", OptionValueAfter },
  { nil }
};

int main(int argc, char** argv) {
  GroupSession* session = 
                new GroupSession("BrainStorm", argc, argv, options, props);
  session->run_window(
    new ApplicationWindow( 
      new BrainStorm( session->style(), session->conference())));
}

